Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.undo
Interface StateEditable

    public interface StateEditable

StateEditable defines the interface for objects that can have their state undone/redone by a StateEdit.

See Also:
  `StateEdit`

Field Summary
`static String` | `RCSID` Resource ID for this class.

Method Summary
`void` | `restoreState(Hashtable<?,?> state)` Upon receiving this message the receiver should extract any relevant state out of state.
`void` | `storeState(Hashtable<Object,Object> state)` Upon receiving this message the receiver should place any relevant state into state.

Field Detail

### RCSID

    static final String RCSID

  Resource ID for this class.

  See Also:
    Constant Field Values

Method Detail

### storeState

    void storeState(Hashtable<Object,Object> state)

  Upon receiving this message the receiver should place any relevant state into state.

### restoreState

    void restoreState(Hashtable<?,?> state)

  Upon receiving this message the receiver should extract any relevant state out of state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.